Home forums Using CanvasJS Updating CanvasJS from 1.9.10 to 2.3.1

This topic contains 2 replies, has 2 voices, and was last updated by  NoesisCanvasJs 2 weeks, 6 days ago.

Viewing 3 posts - 1 through 3 (of 3 total)
  • Author
    Posts
  • #24491

    Hi, we made a chart extension for Qlik Sense using the trial version of CanvasJS 1.9.10 and we decided to upgrade to the the comercial version of CanvasJS 2.3.1 so we can be fully up to date.

    Quickly we found a problem. When updating to a version higher than 2.0.2, nothing shows on the screen and there is no error on the console.
    Is there anything we have to be aware when updating from an older version? For example how to draw the chart or anything else? Or maybe just changing the canvasjs.min.js file isn’t enought to make the update?

    Any help would be appreciated.

    #24503

    @noesiscanvasjs,

    There is no change in the API between v1.9.10 and v2.3.1 except change in theme and addition of new features in v2.0. Please refer this blog post for more info. Just replacing canvasjs.min.js should work fine.

    Can you share the JSFiddle with your use-case & the chart-options that you are using so that we can look into it, understand it better and help you resolve the issue?


    Vishwas R
    Team CanvasJS

    #24542

    Hi, sorry for the delay. I will not be providing a JSFiddle for now because I decided to test by using the examples provided in the download folder. What I found is that the problem must be with Qlik Sense since a simple example works up until version 2.0.2 and aif I use a higher version it just shows a black screen with no errors. And this with the one of the included examples.

    Thank you for you help anyway.

Viewing 3 posts - 1 through 3 (of 3 total)

You must be logged in to reply to this topic.